atkmm: Atk::Hypertext Class Reference

atkmm 2.24.2

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Atk::Hypertext Class Reference

`#include <atkmm/hypertext.h>`

Inheritance diagram for Atk::Hypertext:
[legend]

## Public Member Functions
| Hypertext (Hypertext&& src) noexcept
Hypertext& | operator= (Hypertext&& src) noexcept
| ~Hypertext () noexcept override
AtkHypertext* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkHypertext* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Hyperlink > | get_link (int link_index)
| Gets the link in this hypertext document at index link_index. More...
Glib::RefPtr< const Hyperlink > | get_link (int link_index) const
| Gets the link in this hypertext document at index link_index. More...
int | get_n_links () const
| Gets the number of links within this hypertext document. More...
int | get_link_index (int char_index) const
| Gets the index into the array of hyperlinks that is associated with the character specified by char_index. More...
Glib::SignalProxy< void, int > | signal_link_selected ()
virtual Glib::RefPtr< Hyperlink > | get_link_vfunc (int link_index)
virtual int | get_n_links_vfunc () const
virtual int | get_link_index_vfunc (int char_index) const
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Hypertext ()
| You should derive from this class to use it. More...
virtual void | on_link_selected (int link_index)
| This is a default handler for the signal signal_link_selected(). More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Hypertext > | wrap (AtkHypertext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

## § Hypertext() [1/2]

Atk::Hypertext::Hypertext | ( |  | ) |
| protected

You should derive from this class to use it.

## § Hypertext() [2/2]

Atk::Hypertext::Hypertext | ( | Hypertext&& | src | ) |
| noexcept

## § ~Hypertext()

Atk::Hypertext::~Hypertext | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## § add_interface()

static void Atk::Hypertext::add_interface | ( | GType | gtype_implementer | ) |
| static

## § get_link() [1/2]

Glib::RefPtr<Hyperlink> Atk::Hypertext::get_link | ( | int | link_index | ) |

Gets the link in this hypertext document at index link_index.

Parameters

  link_index | An integer specifying the desired link.

Returns
  The link in this hypertext document at index link_index.

## § get_link() [2/2]

Glib::RefPtr<const Hyperlink> Atk::Hypertext::get_link | ( | int | link_index | ) | const

Gets the link in this hypertext document at index link_index.

Parameters

  link_index | An integer specifying the desired link.

Returns
  The link in this hypertext document at index link_index.

## § get_link_index()

int Atk::Hypertext::get_link_index | ( | int | char_index | ) | const

Gets the index into the array of hyperlinks that is associated with the character specified by char_index.

Parameters

  char_index | A character index.

Returns
  An index into the array of hyperlinks in hypertext, or -1 if there is no hyperlink associated with this character.

## § get_link_index_vfunc()

virtual int Atk::Hypertext::get_link_index_vfunc | ( | int | char_index | ) | const
| virtual

## § get_link_vfunc()

virtual Glib::RefPtr<Hyperlink> Atk::Hypertext::get_link_vfunc | ( | int | link_index | ) |
| virtual

## § get_n_links()

int Atk::Hypertext::get_n_links | ( |  | ) | const

Gets the number of links within this hypertext document.

Returns
  The number of links within this hypertext document.

## § get_n_links_vfunc()

virtual int Atk::Hypertext::get_n_links_vfunc | ( |  | ) | const
| virtual

## § get_type()

static GType Atk::Hypertext::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## § gobj() [1/2]

AtkHypertext* Atk::Hypertext::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## § gobj() [2/2]

const AtkHypertext* Atk::Hypertext::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## § on_link_selected()

virtual void Atk::Hypertext::on_link_selected | ( | int | link_index | ) |
| protectedvirtual

This is a default handler for the signal signal_link_selected().

## § operator=()

Hypertext& Atk::Hypertext::operator= | ( | Hypertext&& | src | ) |
| noexcept

## § signal_link_selected()

Glib::SignalProxy< void,int > Atk::Hypertext::signal_link_selected | ( |  | ) |

Slot Prototype:
  `void on_my_link_selected(int link_index)`

The "link-selected" signal is emitted by an AtkHyperText object when one of the hyperlinks associated with the object is selected.

Parameters

  link_index | The index of the hyperlink which is selected.

## Friends And Related Function Documentation

## § wrap()

Glib::RefPtr< Atk::Hypertext > wrap | ( | AtkHypertext * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.